Package org.apache.catalina.tribes.group.interceptors

## Interface EncryptInterceptorMBean

All Known Implementing Classes:
  `EncryptInterceptor`

    public interface EncryptInterceptorMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getEncryptionAlgorithm()`
`byte[]` `getEncryptionKey()`
`int` `getOptionFlag()`
`java.lang.String` `getProviderName()`
`void` `setEncryptionAlgorithm​(java.lang.String algorithm)`
`void` `setEncryptionKey​(byte[] key)`
`void` `setOptionFlag​(int optionFlag)`
`void` `setProviderName​(java.lang.String provider)`

### Method Detail

#### getOptionFlag

    int getOptionFlag()

#### setOptionFlag

    void setOptionFlag​(int optionFlag)

#### setEncryptionAlgorithm

    void setEncryptionAlgorithm​(java.lang.String algorithm)

#### getEncryptionAlgorithm

    java.lang.String getEncryptionAlgorithm()

#### setEncryptionKey

    void setEncryptionKey​(byte[] key)

#### getEncryptionKey

    byte[] getEncryptionKey()

#### setProviderName

    void setProviderName​(java.lang.String provider)

#### getProviderName

    java.lang.String getProviderName()